'use strict';

var uglify = require('uglify-js');
uglify = 'default' in uglify ? uglify['default'] : uglify;

function index () {
	var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

	return {
		transformBundle: function transformBundle(code) {
			var uglifyOptions = {
				fromString: true
			};

			// trigger sourcemap generation
			if (options.sourceMap !== false) {
				uglifyOptions.outSourceMap = 'x';
			}

			var result = uglify.minify(code, uglifyOptions);

			// Strip sourcemaps comment and extra \n
			if (result.map) {
				var commentPos = result.code.lastIndexOf('//#');
				result.code = result.code.slice(0, commentPos).trim();
			}

			return result;
		}
	};
}

module.exports = index;